Download it now!
Bug 44283 - tabulator does not change row in tables
Summary: tabulator does not change row in tables
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-29 11:36 UTC by Robert Großkopf
Modified: 2012-01-11 10:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Try to put data in one of the tables. Jump with tabulator. Saving data doesn't work. (3.58 KB, application/vnd.sun.xml.base)
2011-12-29 11:36 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2011-12-29 11:36:35 UTC
Created attachment 54951 [details]
Try to put data in one of the tables. Jump with tabulator. Saving data doesn't work.

When writing data direkt into a table the tabulator will move from the first to the last column and then isn't seen again. In earlier versions of LibreOffice (and OpenOffice) after the last column data is saved and tabulator sets input-cursor to the first column of the next row.
Comment 1 Julien Nabet 2012-01-10 13:50:45 UTC
I reproduced this on master and 3.5 branch.
(Debian X86-64).

I proposed a patch on dev mailing list, cf http://nabble.documentfoundation.org/PATCH-proposed-fix-for-fdo-44283-td3648948.html
Comment 2 Caolán McNamara 2012-01-11 08:22:36 UTC
Looking at your patch I *guess* this is a missed change required by http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7ed67f2cf79fd067c1634e8f7c3f8a17792f2e5 and looks good to me
Comment 3 Lionel Elie Mamane 2012-01-11 10:09:55 UTC
Fixed in libreoffice-3-5 with commit de89f1694b4cb2a5bf8ade020bfdef33e7135d35 and in master (LibreOffice 3.6) with commit a3261b16471995832f6791b5831c640c72948a95.

Thanks Robert for the bug report and Julien for pointing me the the right place in the code.